✨ MoEngage NEXT Spring 2026 — The Future of Engagement is Agentic. Join us on April 28. Register now
curl --location 'https://sdk-01.moengage.com/v1/experiences/metadata' \
--header 'Accept: */*' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw==' \
--header 'MOE-APPKEY: <Your Workspace ID>'{
"metadata": {
"count": 3,
"experiences": [
{
"experience_name": "Experience 1",
"experience_key": "experience-1",
"status": "Active"
},
{
"experience_name": "Experience 2",
"experience_key": "experience-2",
"status": "Paused"
},
{
"experience_name": "Experience-3",
"experience_key": "experience-3",
"status": "Scheduled"
}
]
}
}This API fetches a list of currently Active, Scheduled, and Paused experiences within a workspace.
curl --location 'https://sdk-01.moengage.com/v1/experiences/metadata' \
--header 'Accept: */*' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw==' \
--header 'MOE-APPKEY: <Your Workspace ID>'{
"metadata": {
"count": 3,
"experiences": [
{
"experience_name": "Experience 1",
"experience_key": "experience-1",
"status": "Active"
},
{
"experience_name": "Experience 2",
"experience_key": "experience-2",
"status": "Paused"
},
{
"experience_name": "Experience-3",
"experience_key": "experience-3",
"status": "Scheduled"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://moengage-crashes-in-debug-feedback.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
?status=Active so your Fetch Experience calls only include keys that are currently live.Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
Note: After you generate and save the Personalize API Key (SECRET KEY), DO NOT generate a new key unless there is a security breach. After you generate a different key and save it, API calls using the older key won't work.
For more information on authentication and getting your credentials, refer here.
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
"Workspace ID"
You can also fetch experiences that are in a specific state (Only Active or only Active and Paused) by using the query parameter status.
"Active,Paused"
Successful retrieval
Show child attributes
Was this page helpful?